Available in VPC
Create a Cloud DB for Cache manual backup.
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- createCloudCacheManualBackup API: Support for Valkey and Redis DBMS
- createCloudRedisManualBackup API: Support for Redis DBMS
createCloudCacheManualBackup API
This section describes the request and response formats for the createCloudCacheManualBackup API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vcache/v2/createCloudCacheManualBackup |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for Cache instance to create the manual backup for
|
cloudCacheInstanceNo |
String | Required | Cloud DB for Cache instance number |
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/createCloudCacheManualBackup
?regionCode=KR
&cloudCacheInstanceNo=***821'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}'
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
-
If
responseFormatType=json{ "createCloudCacheManualBackupResponse": { "requestId": "e5a2ba21-beea-4ab5-a5d0-7c8f056a925c", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<createCloudCacheManualBackupResponse> <requestId>f293fb65-bdd3-4633-bda2-8d84cd8d7271</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> </createCloudCacheManualBackupResponse>
createCloudRedisManualBackup API
This section describes the request and response formats for the createCloudRedisManualBackup API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vredis/v2/createCloudRedisManualBackup |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudRedisInstanceNo |
String | Required | Cloud DB for Cache instance number |
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/createCloudRedisManualBackup
?regionCode=KR
&cloudRedisInstanceNo=****511' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
-
If
responseFormatType=json{ "createCloudRedisManualBackupResponse": { "requestId": "6fa60f37-****-****-****-b98ed187c0fd", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <createCloudRedisManualBackupResponse> <requestId>6fa60f37-****-****-****-b98ed187c0fd</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> </createCloudRedisManualBackupResponse>